package cn.yyxx.eyuangame.base

import android.app.Application
import android.content.Context
import cn.yyxx.support.multidex.MultiDex

/**
 * @author #Suyghur.
 * Created on 2021/06/09
 */
open class EYuanGameApplication : Application() {

    override fun attachBaseContext(base: Context) {
        super.attachBaseContext(base)
        MultiDex.install(base)
        EYuanGame.getInstance().attachBaseContext(this, base)
    }

    override fun onCreate() {
        super.onCreate()
        EYuanGame.getInstance().initApplication(this)
    }
}